Bug 1222923 (CVE-2015-2156) - CVE-2015-2156 netty: HttpOnly cookie bypass
Summary: CVE-2015-2156 netty: HttpOnly cookie bypass
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-2156
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1222927 1223160 1223161 1223162 1223163 1223164 1223165 1223166 1223167 1223168 1223169 1223170 1223171 1225573 1233495 1233496 1233497 1233498 1233499 1233500 1233640 1234171 1234172 1234173 1234174 1234175 1234176 1234177 1234178 1234179
Blocks: 1222928
TreeView+ depends on / blocked
 
Reported: 2015-05-19 12:44 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
70 users (show)

Fixed In Version: netty 3.9.8.Final, netty 3.10.3.Final
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-04 00:46:36 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-05-19 12:44:56 UTC
A flaw was found in the way Netty’s CookieDecoder method validated cookie name and value characters. An attacker could use this flaw to bypass the httpOnly flag on sensitive cookies.

Upstream patch:

https://github.com/slandelle/netty/commit/800555417e77029dcf8a31d7de44f27b5a8f79b8

External References:

https://www.playframework.com/security/vulnerability/CVE-2015-2156-HttpOnlyBypass
http://engineering.linkedin.com/security/look-netty%E2%80%99s-recent-security-update-cve%C2%AD-2015%C2%AD-2156

Comment 1 Martin Prpič 2015-05-19 12:48:15 UTC
Created netty tracking bugs for this issue:

Affects: fedora-all [bug 1222927]

Comment 3 Fedora Update System 2015-05-30 15:39:43 UTC
netty-4.0.28-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-06-04 20:12:30 UTC
netty-4.0.28-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Jason Shepherd 2015-06-19 07:23:15 UTC
Netty is not used in EAP, and layered products, for parsing HTTP cookie headers, and hence is not affected by this flaw. Use of Netty in a unsupported way, such as parsing HTTP cookie headers could cause you to be vulnerable to this flaw.

Comment 14 Horia Chiorean 2015-06-19 11:35:22 UTC
ModeShape does not use Netty in JDV.

Comment 17 Jason Shepherd 2015-08-04 00:46:36 UTC
Most of the products that include Netty use it for TCP connection management for HornetQ messaging. We don't use it for parsing HTTP headers, so we won't fix this issue.

We will upgrade the Netty package in Fedora in an upcoming release.


Note You need to log in before you can comment on or make changes to this bug.